import { defineStore } from 'pinia'
import { ContactsState } from './types'
const CallState = {
    callIn: 'callIn',
    callOut: 'callout',
    calling: 'calling',
    idle: 'idle'
}
const useContactsStore = defineStore('contacts', {
    state: (): ContactsState => {
        return {
            showWait: false,
            chooseUser: undefined
        }
    },

    getters: {},

    actions: {
        //设置当前选中联系人
        setChooseUser(info: ContactsState['chooseUser']) {
            this.chooseUser = info
        },
        changeWait(val: boolean) {
            this.showWait = val
        }
    },

    persist: true
})

export default useContactsStore
